## McpRequest

McpRequest — Request object, implemented by Mission Control

## Functions

gboolean | mcp_request_find_request_by_type ()
const gchar * | mcp_request_get_account_path ()
const gchar * | mcp_request_get_protocol ()
const gchar * | mcp_request_get_cm_name ()
gint64 | mcp_request_get_user_action_time ()
guint | mcp_request_get_n_requests ()
GHashTable * | mcp_request_ref_nth_request ()
void | mcp_request_deny ()
McpRequestDelay * | mcp_request_start_delay ()
void | mcp_request_end_delay ()

## Types and Values

| McpRequestDelay

## Object Hierarchy

        GInterface
        ╰── McpRequest

## Includes

    #include <mission-control-plugins/mission-control-plugins.h>

## Description

## Functions

### mcp_request_find_request_by_type ()

    gboolean
    mcp_request_find_request_by_type (McpRequest *self,
                                      guint start_from,
                                      GQuark channel_type,
                                      guint *ret_index,
                                      GHashTable **ret_ref_requested_properties);

### mcp_request_get_account_path ()

    const gchar *
    mcp_request_get_account_path (McpRequest *self);

### mcp_request_get_protocol ()

    const gchar *
    mcp_request_get_protocol (McpRequest *self);

### mcp_request_get_cm_name ()

    const gchar *
    mcp_request_get_cm_name (McpRequest *self);

### mcp_request_get_user_action_time ()

    gint64
    mcp_request_get_user_action_time (McpRequest *self);

### mcp_request_get_n_requests ()

    guint
    mcp_request_get_n_requests (McpRequest *self);

### mcp_request_ref_nth_request ()

    GHashTable *
    mcp_request_ref_nth_request (McpRequest *self,
                                 guint n);

### mcp_request_deny ()

    void
    mcp_request_deny (McpRequest *self,
                      GQuark domain,
                      gint code,
                      const gchar *message);

### mcp_request_start_delay ()

    McpRequestDelay *
    mcp_request_start_delay (McpRequest *self);

### mcp_request_end_delay ()

    void
    mcp_request_end_delay (McpRequest *self,
                           McpRequestDelay *delay);

## Types and Values

### McpRequestDelay

    typedef struct _McpRequestDelay McpRequestDelay;

## See Also

McpRequestPolicy